db_backend_mysql.c File Reference
`#include "db_backend_mysql.h"`
`#include "db_error.h"`
`#include "log.h"`
`#include <mysql/mysql.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <time.h>`
`#include <pthread.h>`
`#include <errno.h>`

Go to the source code of this file.

## Data Structures

struct | db_backend_mysql
struct | db_backend_mysql_bind
struct | db_backend_mysql_statement

## Typedefs

typedef char | my_bool
typedef struct db_backend_mysql | db_backend_mysql_t
typedef struct db_backend_mysql_bind | db_backend_mysql_bind_t
typedef struct db_backend_mysql_statement | db_backend_mysql_statement_t

## Functions

db_backend_handle_t * | db_backend_mysql_new_handle (void)

## Typedef Documentation

## db_backend_mysql_bind_t

typedef struct db_backend_mysql_bind db_backend_mysql_bind_t

The MySQL database backend specific data for a statement bind.

Definition at line 76 of file db_backend_mysql.c.

## db_backend_mysql_statement_t

typedef struct db_backend_mysql_statement db_backend_mysql_statement_t

The MySQL database backend specific data for statements.

## db_backend_mysql_t

typedef struct db_backend_mysql db_backend_mysql_t

The MySQL database backend specific data.

## my_bool

typedef char my_bool

Definition at line 39 of file db_backend_mysql.c.

## Function Documentation

## db_backend_mysql_new_handle()

db_backend_handle_t * db_backend_mysql_new_handle | ( | void |  | ) |

Create a new database backend handle for SQLite.

Returns
  a db_backend_handle_t pointer or NULL on error.

Definition at line 2244 of file db_backend_mysql.c.

References db_backend_handle_free(), db_backend_handle_new(), db_backend_handle_set_connect(), db_backend_handle_set_count(), db_backend_handle_set_create(), db_backend_handle_set_data(), db_backend_handle_set_delete(), db_backend_handle_set_disconnect(), db_backend_handle_set_free(), db_backend_handle_set_initialize(), db_backend_handle_set_read(), db_backend_handle_set_shutdown(), db_backend_handle_set_transaction_begin(), db_backend_handle_set_transaction_commit(), db_backend_handle_set_transaction_rollback(), and db_backend_handle_set_update().

Referenced by db_backend_factory_get_backend().